Bug 1027841 - The same key can be used multiple time when adding property in "New resource" wizard
The same key can be used multiple time when adding property in "New resource"...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console - UX (Show other bugs)
6.2.0
Unspecified Unspecified
low Severity high
: CR1
: EAP 6.4.2
Assigned To: Heiko Braun
Pavel Jelinek
eap-docs
Usability
: Reopened
Depends On:
Blocks: 1219165 1222380
  Show dependency treegraph
 
Reported: 2013-11-07 08:00 EST by Jakub Cechacek
Modified: 2017-01-17 05:19 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-09 07:38:18 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-305 Minor Resolved The same key can be used multiple time when adding property in "New resource" wizard 2016-12-20 01:46 EST

  None (edit)
Description Jakub Cechacek 2013-11-07 08:00:51 EST
There is no uniqueness check when adding properties in "New resource" wizard. Thus it is possible to use the same key multiple times and consequently the creation process will fail with an error. User will also lose all entered data. 

An example of such behavior is declaration of properties when creating new XA Datasource


How to reproduce:
1) navigate to XA datasources page
2) start creating new XA Datasource
3) In property declaration step create multiple properties with the same key
4) finish the wizard 

expected result: user is not allow to use the same key multiple times in property declaration step 
actual result: creation process is finish with error
Comment 1 Heiko Braun 2014-07-09 07:38:18 EDT
In agreement with Catherine we've decided that UX issues will be tracked separately.
Comment 2 Jakub Cechacek 2014-07-21 06:00:19 EDT
Issue moved under the UX component. 

Also moved to 6.4 as this issue is still valid for 6.3. Use ack flags to decide whether we want to go through with it or not.
Comment 3 Catherine Robson 2014-08-01 13:16:40 EDT
This sounds like we just need to do validation on the property declaration step to ensure that the key names are unique.  I'm not sure there is anything UX needs to design around this fix.  Assigning back to Heiko as expecting no UX design needed.
Comment 4 Heiko Braun 2014-08-25 09:34:37 EDT
Agreed w. Catherine: we just check for double entries
Comment 6 Romain Pelisse 2015-04-24 08:20:33 EDT
As I've looked at some other issues on the webconsole, I'm going to give a stab at this one.

@Heiko, let me know if you have already a fix underway
Comment 7 Harald Pehl 2015-04-28 04:18:28 EDT
No one is currently working on that issue. So would be great if you take a stab at this one.
Comment 8 Romain Pelisse 2015-04-30 07:41:41 EDT
Here is the PR for upstream: https://github.com/hal/core/pull/31

And the PR for the maintenance branch (2.5.x): https://github.com/hal/core/pull/30
Comment 9 Harald Pehl 2015-05-16 05:43:44 EDT
Marged into upstream, 2.6.x and 2.5.x
Comment 12 Pavel Jelinek 2015-06-19 07:22:40 EDT
Verified for Create XA Datasource wizard of EAP 6.4.2.CP.CR1
Comment 13 JBoss JIRA Server 2016-05-30 18:43:56 EDT
Claudio Miranda <claudio@claudius.com.br> updated the status of jira HAL-305 to Resolved
Comment 14 Petr Penicka 2017-01-17 05:19:14 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 15 Petr Penicka 2017-01-17 05:19:15 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.